Bug 398201 - auditd does not time stamp log entries in /var/log/audit/audit.log
Summary: auditd does not time stamp log entries in /var/log/audit/audit.log
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-25 08:19 UTC by william hanlon
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 14:03:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description william hanlon 2007-11-25 08:19:31 UTC
Description of problem:
auditd doesn't timestamp entries in /var/log/audit/audit.log

Version-Release number of selected component (if applicable):
audit-1.6.2-4.fc8

How reproducible:
always

Steps to Reproduce:
1. service auditd start
  
Actual results:
reading /var/log/audit/audit.log shows many entries, but they are not time stamped.

Expected results:
each entry whould indicate the time it was written to the log as is done for
/var/log/messages for instance.

Additional info:
When many selinux errors are being hunted down, it would be very useful to have
timestamps of each entry to easily associate system actions (starting a daemon
for example) with the actual error in audit.log.

Comment 1 Steve Grubb 2007-11-25 20:03:32 UTC
The timestamps are already in the events - but encoded. The ausearch program is
the audit log viewer. It will extract the timestamp from the events and display
it for you. The '-i' option will do further interpretation. If you have done
something recent and want to see the avcs, use: ausearch --start recent -m avc
-i | less

If you can see the timestamps though ausearch, I'll go ahead and close this bug
report.

Comment 2 william hanlon 2007-11-25 22:31:06 UTC
Thanks. I used ausearch as you recommended and I can now see the times.

Comment 3 Steve Grubb 2007-11-26 14:03:30 UTC
Closing bug report as mentioned above. If you have any questions about audit
feel free to contact myself or linux-audit mail list.


Note You need to log in before you can comment on or make changes to this bug.